Page MenuHomePhabricator

Move the puppet cdh and zookeeper submodules into operations/puppet
Closed, ResolvedPublic0 Story Points

Description

It is time to move the remaining two analytics-related submodules into operations puppet. We'll also need to file subtasks for each submodule to allow proper deprecation.

Event Timeline

elukey triaged this task as Normal priority.Jun 25 2019, 6:11 AM
elukey created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2019, 6:12 AM

Change 518764 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Move the cdh submodule into environments/production

https://gerrit.wikimedia.org/r/518764

Change 518764 merged by Elukey:
[operations/puppet@production] Move the cdh submodule into environments/production

https://gerrit.wikimedia.org/r/518764

Change 518901 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] profile::hadoop::common: remove '::' in front of cdh::hadoop

https://gerrit.wikimedia.org/r/518901

Change 518901 merged by Elukey:
[operations/puppet@production] profile::hadoop::common: remove '::' in front of cdh::hadoop

https://gerrit.wikimedia.org/r/518901

Change 518907 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Add missing /modules/ to cdh in environments/production

https://gerrit.wikimedia.org/r/518907

Change 518907 merged by Elukey:
[operations/puppet@production] Add missing /modules/ to cdh in environments/production

https://gerrit.wikimedia.org/r/518907

Change 518909 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Move cdh module from env/prod to modules

https://gerrit.wikimedia.org/r/518909

Change 518909 merged by Elukey:
[operations/puppet@production] Move cdh module from env/prod to modules

https://gerrit.wikimedia.org/r/518909

Change 520271 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Move the zookeeper submodule into the repository - part 2

https://gerrit.wikimedia.org/r/520271

Change 520271 merged by Elukey:
[operations/puppet@production] Move the zookeeper submodule into the repository - part 2

https://gerrit.wikimedia.org/r/520271

Mentioned in SAL (#wikimedia-operations) [2019-07-03T06:00:13Z] <elukey> move the zookeeper puppet submodule into operations/puppet - T226466

elukey closed this task as Resolved.Aug 9 2019, 3:48 PM
elukey closed subtask T226474: Archive cdh puppet submodule as Resolved.